| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EnumPreference Class Reference
Inheritance diagram for EnumPreference:

## Public Member Functions
| EnumPreference (QObject *parent=Q_NULLPTR)
virtual QWidget * | editor (QWidget *parent, const QStyleOptionViewItem &, const QModelIndex &) override
| Creates and returns an editor widget for the preference at `index`.
virtual void | setData (QWidget *editor, const QModelIndex &index) override
| Populates the editor widget with the current preference value from the model at `index`.
virtual void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) override
| Writes the editor's current value back to the model.
Public Member Functions inherited from WiresharkPreference
Q_INVOKABLE | WiresharkPreference (QObject *parent=Q_NULLPTR)
| Constructs a WiresharkPreference with no associated PrefsItem.
void | setPrefsItem (PrefsItem *item)
| Associates a PrefsItem with this preference editor.

## Additional Inherited Members
Protected Member Functions inherited from WiresharkPreference
PrefsItem * | prefsItem () const
| Returns the PrefsItem associated with this preference editor.

## Member Function Documentation

## ◆ editor()

virtual QWidget * EnumPreference::editor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index )
| inline override virtual

Creates and returns an editor widget for the preference at `index`.

Parameters

  parent | Parent widget for the created editor.
  option | Style options for the cell being edited.
  index | Model index of the preference cell.

Returns
  Pointer to the newly created editor widget, or `nullptr` if no inline editor is provided by this preference type.

Reimplemented from WiresharkPreference.

## ◆ setData()

virtual void EnumPreference::setData | ( | QWidget * | editor,
|  | const QModelIndex & | index )
| inline override virtual

Populates the editor widget with the current preference value from the model at `index`.

Parameters

  editor | The editor widget previously returned by editor().
  index | Model index of the preference being edited.

Reimplemented from WiresharkPreference.

## ◆ setModelData()

virtual void EnumPreference::setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index )
| inline override virtual

Writes the editor's current value back to the model.

Parameters

  editor | The editor widget containing the new value.
  model | The model to update.
  index | Model index of the preference cell to update.

Reimplemented from WiresharkPreference.

The documentation for this class was generated from the following file:

- /builds/wireshark/wireshark/ui/qt/manager/wireshark_preference.cpp